%{!?python_sitelib: %define python_sitelib %(%{__python} -c "from distutils.sysconfig import get_python_lib; print get_python_lib()")}

Name:           python-tgcaptcha2
Version:        0.3.1
Release:        9%{?dist}
Summary:        TurboGears captcha plugin

Group:          Development/Languages
License:        MIT
URL:            https://fedorahosted.org/tgcaptcha2/
Source0:        https://fedorahosted.org/releases/t/g/tgcaptcha2/TGCaptcha2-%{version}.tar.gz

BuildArch:      noarch
BuildRequires:  python2-devel TurboGears
BuildRequires:  python2-setuptools

%global _description\
TGCaptcha2 is a TurboGears widget that provides an easy way to\
incorporate a captcha as part a form in an attempt to reduce spam or\
malicious activity.\
\
Features include:\
\
  * (Relatively) pain-free usage and validation inside of a regular\
      widget-based form\
  * Flexibility to add or extend image generation algorithms and the\
      text displayed in the image\
\
Enhanced with:\
\
  * Embed a word in the image or an equation that the user has to\
     solve\
  * Add an audio captch

%description %_description

%package -n python2-tgcaptcha2
Summary: %summary
Requires:       TurboGears
Requires:       espeak
Requires:       python2-fedora-turbogears
Requires:       m2crypto
%{?python_provide:%python_provide python2-tgcaptcha2}

%description -n python2-tgcaptcha2 %_description

%prep
%setup -q -n TGCaptcha2-%{version}

sed -i -e "s|from setuptools|__requires__ = ['TurboJson >= 1.3']\nfrom setuptools|" setup.py

%build
%{__python2} setup.py build


%install
%{__rm} -rf %{buildroot}
%{__python2} setup.py install --skip-build --root %{buildroot}
 

%files -n python2-tgcaptcha2
%doc README.txt CONTRIBUTORS.txt CHANGELOG.txt COPYRIGHT.txt
%{python2_sitelib}/*.egg-info
%{python2_sitelib}/tgcaptcha2/


%changelog
* Wed Jul 18 2018 Pierre-Yves Chibon <pingou@pingoured.fr> - 0.3.1-9
- Use the py2 versioned of the macros

* Sat Jul 14 2018 Fedora Release Engineering <releng@fedoraproject.org> - 0.3.1-8
- Rebuilt for https://fedoraproject.org/wiki/Fedora_29_Mass_Rebuild

* Wed Feb 14 2018 Iryna Shcherbina <ishcherb@redhat.com> - 0.3.1-7
- Update Python 2 dependency declarations to new packaging standards
  (See https://fedoraproject.org/wiki/FinalizingFedoraSwitchtoPython3)

* Fri Feb 09 2018 Fedora Release Engineering <releng@fedoraproject.org> - 0.3.1-6
- Rebuilt for https://fedoraproject.org/wiki/Fedora_28_Mass_Rebuild

* Sat Aug 19 2017 Zbigniew Jędrzejewski-Szmek <zbyszek@in.waw.pl> - 0.3.1-5
- Python 2 binary package renamed to python2-tgcaptcha2
  See https://fedoraproject.org/wiki/FinalizingFedoraSwitchtoPython3

* Thu Jul 27 2017 Fedora Release Engineering <releng@fedoraproject.org> - 0.3.1-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_27_Mass_Rebuild

* Sat Feb 11 2017 Fedora Release Engineering <releng@fedoraproject.org> - 0.3.1-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_26_Mass_Rebuild

* Tue Jul 19 2016 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.3.1-2
- https://fedoraproject.org/wiki/Changes/Automatic_Provides_for_Python_RPM_Packages

* Wed Mar 09 2016 Patrick Uiterwijk <puiterwijk@redhat.com> - 0.3.1-1
- No longer pinpoint the expected length of the hidden field

* Wed Mar 09 2016 Patrick Uiterwijk <puiterwijk@redhat.com> - 0.3.0-1
- Switched to using M2Crypto
- Added a nonce check to prevent replay attacks (DWF-2016-89000)

* Thu Jun 18 2015 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.2.0-8
- Rebuilt for https://fedoraproject.org/wiki/Fedora_23_Mass_Rebuild

* Sat Jun 07 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.2.0-7
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_Mass_Rebuild

* Sun Aug 04 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.2.0-6
- Rebuilt for https://fedoraproject.org/wiki/Fedora_20_Mass_Rebuild

* Thu Feb 14 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.2.0-5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_19_Mass_Rebuild

* Sat Jul 21 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.2.0-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_18_Mass_Rebuild

* Mon Jul  9 2012 Toshio Kuratomi <toshio@fedoraproject.org> - 0.2.0-3
- Add a dependency on tulrich-tuffy-fonts which is used to render the captcha

* Tue Mar 01 2012 Pierre-Yves Chibon <pingou@pingoured.fr> - 0.2.0-2
- Clean spec

* Tue Feb 14 2012 Pierre-Yves Chibon <pingou@pingoured.fr> - 0.2.0-1
- Initial RPM Package.
